:root {
    --beyond: #688c41;
}

html {
    background-color: #cccc;
}

html, body {
    margin: 0px;
    font-family: 'Verdana', 'Geneva', 'sans-serif';
}


a:link {
    text-decoration: none;
    color: black;
}

a:visited {
    text-decoration: none;
    color: black;
}

a:hover {
    text-decoration: none;
    color: black;
}

a:active {
    text-decoration: none;
    color: black;
}

#header {
    display: flex;
    justify-content: space-between;
    padding: 6px 30px 15px 5px;
    background-color: white;
}

#view-banner {
    background-color: dimgray;
    padding: 10px 35px;
    margin: auto;
}

#welcome-area {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    margin: auto 5px;
    padding-top: 10px;
    font-size: 12px;
}

#welcome-area-email {
    text-decoration-line: underline;
    text-decoration-style: dashed;
    text-decoration-color: gray;
    padding-right: 5px;
}

#welcome-area a {
    padding: 7px 2px;
}

#login-box {
    position: relative;
    top: 30px;
    font-family: Verdana, Geneva, sans-serif;
    margin: 0px auto;
    border-radius: 15px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    overflow: hidden;
    perspective: 1px;
    max-height: 600px;
    max-width: 600px;
}

#login-box h1 {
    font-weight: lighter;
    font-size: 20px;
    text-align: center;
    margin: 10px auto 35px auto;
         /* top right bottom left */
}

#login-box p {
    font-size: 10px;
    color: red;
    text-align: center;
    margin: 0px auto;
}

#login-box button {
    transition: background-color 0.5s ease;
    transition: box-shadow 0.25s ease;
    width: 40%;
    height: 115px;
    text-align: center;
    font-size: 17px;
    font-weight: 500;
    color: black;
    border: none;
    background-color: lightgrey;
    padding: 30px;
    margin: 10px auto;
    display: block;
    border-radius: 5px;
}

#login-box button:hover {
    background-color: var(--beyond);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    color: white;
    cursor: pointer;
}

#login-box button:active {
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
}

#login-footer {
    background-color: dimgrey;
    color: white;
    font-size: 12px;
    margin: 0px;
    padding: 0px;
    position: absolute;
    bottom: 0px;
    width: 100%;
}

#login-footer p {
    padding: 2px 15px;
}

#ribbon {
    display: flex;
    padding: 0px 5px;
    border-style: solid;
    border-width: 1px;
    border-color: dimgray;
    background-color: white;
}

#ribbon img {
    padding: 0px;
    margin: 0px;
}

.ribbon-section {
    border-right: solid;
    border-left: solid;
    border-width: 1px;
    border-color: darkgrey;
    padding: 0px 5px;
}

.ribbon-item {
    transition: background-color 0.5s ease;
    padding: 10px 5px 2px 5px;
    margin: 2px 2px;
    border: none;
    font-size: 12px;
    background-color: white;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 11px;
    cursor: pointer;
    font-family: 'Verdana', 'Geneva', 'sans-serif';
}

.ribbon-item:hover {
    background-color: lightblue;
    border: solid;
    border-width: 1px;
    padding: 9px 4px 1px 4px;
}

.ribbon-item:active {
    background-color: #cccc;
}

label {
    margin: auto 0px; font-size: 12px;
}

input {
    margin: 10px 5px;
}

input[type=text] {
    width: 275px;
    height: 25px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

input[type=date] {
    width: 200px;
    height: 25px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-family: 'Verdana', 'Geneva', 'sans-serif' !important;
}

select {
    margin: 10px 5px;
    width: 200px;
    height: 25px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

#main-area {
    font-size: 12px;
    
}

#embedContainer {
    height: 73vh;
    width: 99vw;
    margin: auto;
}

.section-container {
    font-size: 12px;
    padding: 0px 0px 5px 0px;
    margin: 0px;
}

#section-title {
    font-size: 20px;
    font-weight: normal;
    color: white;
    padding: 10px 30px;
    margin: 0px;
}

.loading-area {
    display: flex;
    justify-content: center;
    overflow: hidden;
    text-align: center;
    font-size: 10px;
    position: fixed;
    width: 100%;
    height: auto;
    top: 40vh;
    z-index: 1000;
}

.loading-area h1 {
    margin: auto;
}

#snackbar {
    visibility: hidden; /* Hidden by default. Visible on click */
    min-width: 250px; /* Set a default minimum width */
    margin-left: -125px; /* Divide value of min-width by 2 */
    background-color: #ff5050; /* Black background color */
    color: black; /* White text color */
    text-align: center; /* Centered text */
    border-radius: 2px; /* Rounded borders */
    padding: 16px; /* Padding */
    position: fixed; /* Sit on top of the screen */
    z-index: 1; /* Add a z-index if needed */
    left: 50%; /* Center the snackbar */
    bottom: 30px; /* 30px from the bottom */
    border-radius: 5px;
    font-size: 18px;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    visibility: visible; /* Show the snackbar */
    /* Add animation: Take 0.5 seconds to fade in and out the snackbar. However, delay the fade out process for 2.5 seconds */
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Animations to fade the snackbar in and out */

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }

    to {
        bottom: 30px;
        opacity: 1;
    }
}

@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }

    to {
        bottom: 0;
        opacity: 0;
    }
}

#training-area {
    padding: 20px;
}

.loader {
    border: 4px solid lightgray;
    border-top: 4px solid var(--beyond);
    border-radius: 50%;
    width: 25px;
    height: 25px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#training-area img {
    width: 975px;
    height: auto;
    padding: 0px;
    margin: 10px 0px;
}

#training-area h1 {
    font-size: 23px;
    font-weight: bold;
    text-decoration: underline;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

#training-area h2 {
    font-size: 16px;
    font-weight: bold;
    text-decoration: underline;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

#training-area h3 {
    font-size: 16px;
    font-weight: bold;
    padding-bottom: 0px;
    margin-bottom: 0px;
}

#training-area h4 {
    font-weight: normal;
    font-size: 16px;
    font-style: italic;
    padding: 0px;
    margin: 0px;
}

#training-area a {
    color: olivedrab;
}

#training-area li {
    font-size: 15px;
}

#training-area ol li {
    padding-top: 10px;
}

#training-area ol {
    padding-left: 20px;
}

#training-area ul {
    padding-left: 30px;
}

.tabContent {
    background-color: #FDFEFF;
    color: #333333;
    height: 170px;
    width: 100%;
}

.tabContent td {
    vertical-align: top;
    padding: 8px 8px 8px 3px;
}

.tabContent td:first-child {
    vertical-align: top;
    width: unset !important;
    padding: 18px 8px 8px 10px;
}

.tabTemplate, tabTemplate .label {
    border-collapse: collapse;
    font: 12px Tahoma;
    color: #333333;
}

.tabTemplate img {
    margin: 0;
    display: block;
}

.pcTemplates .dxtc-leftIndent,
.pcTemplates .dxtc-tab,
.pcTemplates .dxtc-activeTab,
.pcTemplates .dxtc-rightIndent {
    border-width: 0px !important;
}

.pcTemplates .dxtc-leftIndent,
.pcTemplates .dxtc-tab,
.pcTemplates .dxtc-rightIndent {
    border-bottom-width: 1px !important;
}

#shipment-infoarea {
    display: flex;
    margin: 0px;
    padding: 0;
    width: 100%;
}

.shipment-infobox {
    flex-grow: 1;
    margin: 5px 10px;
    border: solid var(--beyond) 1px;
    max-width: contain;
}

.shipment-infobox-header {
    display: flex;
    margin: 0px;
    padding: 0px;
    background-color: grey;
    color: white;
}

.shipment-infobox-header h1 {
    padding: 5px 10px;
    font-size: 12px;
    font-weight: 500;
}

.shipment-infobox-header img {
    padding: 5px;
}

.shipment-infobox-content {
    height: 500px;
    margin: 0px;
    padding: 0px 10px;
    background-color: lightgrey;
    text-align: center;
}

.shipment-infobox-content {
    height: 500px;
    display: grid;
    grid-column: 1;
    margin: 0px;
    padding: 20px;
    background-color: lightgrey;
    text-align: center;
}

.shipment-infobox-content input[type=text] {
    width: 165px;
    font-size: 12px;
    margin: 0px;
    padding: 0px 5px;
}

.shipment-infobox-content label {
    height: 25px;
    margin: 0px;
    padding: 3px;
    font-size: 12px;
}

.delivery {
    background-color: lightblue;
    border: solid dodgerblue 1px;
    margin: 10px 5px;
    padding: 20px;
    text-align: left;
}

.delivery p {
    font-size: 15px;
}